For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve bulk operation status

This endpoint retrieves the status and details of a bulk campaign operation using the bulk operation ID. It has been enhanced to support pagination (default: 20 items per page) and status-based filter

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint retrieves the status and details of a bulk campaign operation using the bulk operation ID. It has been enhanced to support pagination (default: 20 items per page) and status-based filtering, for improved performance and targeted data retrieval."

Retrieve bulk operation status

Retrieve bulk operation status

get

This endpoint retrieves the status and details of a bulk campaign operation using the bulk operation ID. It has been enhanced to support pagination (default: 20 items per page) and status-based filtering, for improved performance and targeted data retrieval.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Path parameters
idstringRequired

The unique identifier of the bulk operation.

Query parameters
pageTokenstringOptional

Pagination token to retrieve the next page of results.

pageSizestring · int64Optional

The number of items to retrieve per page.

statusstringOptional

Filter items by status (e.g., BULK_ITEM_SUCCESS, BULK_ITEM_FAILED).

Responses
200

Provides the status and details for the requested bulk campaign operation.

application/json
bulkIdstringOptional

Unique identifier for the bulk operation.

createdAtstring · date-timeOptional

Timestamp when the bulk operation was created.

failureCountstring · int64Optional

Number of items that failed processing.

nextPageTokenstringOptional

Token to retrieve the next page of results.

operationTypestring · enumOptionalPossible values:
resourcestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
successCountstring · int64Optional

Number of items processed successfully.

totalCountstring · int64Optional

Total number of items in the bulk operation.

updatedAtstring · date-timeOptional

Timestamp when the bulk operation was last updated.

get/v3/campaigns/bulk/status/{id}
GET /v3/campaigns/bulk/status/{id} HTTP/1.1
Host: campaign.<env>.citrusad.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "bulkId": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "failureCount": "text",
  "items": [
    {
      "approvalStateRequest": {
        "approval": {
          "rejectionReason": "text",
          "state": "APPROVAL_STATE_PENDING"
        },
        "campaignType": "CAMPAIGN_TYPE_BANNER",
        "id": "text"
      },
      "campaignRequest": {},
      "errorResponse": {
        "details": "text"
      },
      "status": "BULK_ITEM_SUCCESS",
      "successResponse": {
        "campaignId": "text",
        "message": "text"
      }
    }
  ],
  "nextPageToken": "text",
  "operationType": "BULK_OPERATION_TYPE_CAMPAIGN_UPDATE",
  "resource": "BULK_OPERATION_RESOURCE_BILLING",
  "status": "BULK_OPERATION_SUBMITTED",
  "successCount": "text",
  "totalCount": "text",
  "updatedAt": "2026-01-01T00:00:00.000Z"
}